---
# yaml-language-server: $schema=https://schema.blue-build.org/recipe-v1.json
name: wke
base-image: registry.gitlab.com/wunker-bunker/wunker-os/base
image-version: latest
description: The image of Wunker OS for RKE2 Worker
alt-tags:
  - fw-desktop
modules:
  - type: kargs
    kargs:
      - amd_iommu=off
      - amdttm.pages_limit=27648000
      - amdttm.page_pool_size=13824000
  - from-file: common/wke.yml
  - type: files
    files:
      - source: rke-server
        destination: /
  # - type: dnf
  #   install:
  #     packages:
  #       - ramalama
  - type: script
    snippets:
      # - curl -sfL https://get.rke2.io | INSTALL_RKE2_TYPE=agent INSTALL_RKE2_SKIP_RELOAD=true sh
      - curl -sfL https://get.rke2.io | INSTALL_RKE2_SKIP_RELOAD=true sh
  - from-file: common/post-build.yml
